vty-5.15.1: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Output.XTermColor

Description

Xterm output driver. This uses the Terminfo driver with some extensions for Xterm.

Synopsis

- reserveTerminal :: (Applicative m, MonadIO m) => String -> Fd -> m Output

# Documentation

reserveTerminal :: (Applicative m, MonadIO m) => String -> Fd -> m Output #

Construct an Xterm output driver. Initialize the display to UTF-8.